
Redmine - Patch #20906

Fix mulitple tab navigation highlighting and content hiding

2015-10-05 19:07 - Felix Gliesche

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.1.2   

Description

Assuming you have multiple tab navigations on one page, clicking on a tab leads to the false behaviour that highlighted tabs in

another tab navigation lose their highlighting. This is caused by the current implementation of showTab in application.js, because it

only assumes the case of having only one tab navigation on one page (see source:trunk/public/javascripts/application.js#L319). This

assumption also causes the behaviour, that all elements that match the selector

div#content .tab-content

 will be hidden if one tab is clicked (see source:trunk/public/javascripts/application.js#L318).

The attached patch takes the possibility of having several tab navigations into consideration. It does not remove the highlighting for

other tab navigations and hides the tab content of the corresponding tab context.

Related issues:

Related to Redmine - Patch #20271: Fix for multiple tabs on the same page Closed

Associated revisions

Revision 14728 - 2015-10-21 21:24 - Jean-Philippe Lang

Fix mulitple tab navigation highlighting and content hiding (#20906).

Patch by Felix Gliesche.

Revision 14805 - 2015-11-07 09:20 - Jean-Philippe Lang

Merged r14728 (#20906).

History

#1 - 2015-10-05 19:11 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#2 - 2015-10-05 19:18 - Jan from Planio www.plan.io

- Related to Patch #20271: Fix for multiple tabs on the same page added

#3 - 2015-10-21 21:25 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 3.1.2

Committed, thanks.

#4 - 2015-11-07 09:20 - Jean-Philippe Lang

- Category changed from UI to Code cleanup/refactoring

- Status changed from Resolved to Closed

Files

0001-Update-showTab-to-work-for-multiple-tabs-on-same-pag.patch1022 Bytes 2015-10-05 Felix Gliesche
